export class Router {
  constructor () {
    this.data = []
    this.register = (data) => {
      let nrData = {
        time: data.time,
        from: {
          fullPath: data.from.fullPath,
          hash: data.from.hash,
          meta: data.from.meta,
          name: data.from.name,
          params: data.from.params,
          path: data.from.path,
          query: data.from.query
        },
        to: {
          fullPath: data.to.fullPath,
          hash: data.to.hash,
          meta: data.to.meta,
          name: data.to.name,
          params: data.to.params,
          path: data.to.path,
          query: data.to.query,
          redirectedFrom: data.to.redirectedFrom
        }
      }
      this.data.unshift(nrData)
    }
  }
}
